Bug 1569726 - Network Metrics Isn't collected against any network interface except eth0
Summary: Network Metrics Isn't collected against any network interface except eth0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Solly Ross
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 22:00 UTC by Eric Jones
Modified: 2018-08-17 03:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 19:02:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Jones 2018-04-19 22:00:56 UTC
Description of problem:
If there are multiple networking interfaces and/or the primary network interface is anything but eth0  network metrics are not collected.

Version-Release number of selected component (if applicable):
3.9 (but likely impacts other versions)

Additional info:
Open Github issue:
https://github.com/kubernetes/kubernetes/pull/52144

Comment 1 Eric Jones 2018-04-20 14:12:33 UTC
Looking more at the github issue, it seems like they wanted to push that fix into kubernetes 1.9 and looking at one of the files [0], it seems it did, but it seems we might not be taking advantage of it in metrics for OCP 3.9.

I'm not sure how to check if we are querying properly or not though.

[0] https://github.com/kubernetes/kubernetes/blob/release-1.9/pkg/kubelet/apis/stats/v1alpha1/types.go

Comment 7 Solly Ross 2018-05-24 19:05:13 UTC
For public posterity: Unfortunately, Heapster is now deprecated upstream and thus no new RFEs will be accepted.  Adding support for non-default networking stats to Heapster would be a new feature (it's an "add an additional labeled metric for non-default interfaces" or "break the existing metrics schema by making all network metrics labeled").


Note You need to log in before you can comment on or make changes to this bug.